org.apache.thrift.async

## Class TAsyncClient

- java.lang.Object
- - org.apache.thrift.async.TAsyncClient

-     public abstract class TAsyncClient
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TAsyncMethodCall` | `___currentMethod`
    `protected TAsyncClientManager` | `___manager`
    `protected TProtocolFactory` | `___protocolFactory`
    `protected TNonblockingTransport` | `___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TAsyncClient(TProtocolFactory protocolFactory, TAsyncClientManager manager, TNonblockingTransport transport)`
    `TAsyncClient(TProtocolFactory protocolFactory, TAsyncClientManager manager, TNonblockingTransport transport, long timeout)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkReady()`
    `java.lang.Exception` | `getError()` Get the client's error - returns null if no error
    `TProtocolFactory` | `getProtocolFactory()`
    `long` | `getTimeout()`
    `boolean` | `hasError()` Is the client in an error state?
    `boolean` | `hasTimeout()`
    `protected void` | `onComplete()` Called by delegate method when finished
    `protected void` | `onError(java.lang.Exception exception)` Called by delegate method on error
    `void` | `setTimeout(long timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ___protocolFactory

          protected final TProtocolFactory ___protocolFactory

    - #### ___transport

          protected final TNonblockingTransport ___transport

    - #### ___manager

          protected final TAsyncClientManager ___manager

    - #### ___currentMethod

          protected TAsyncMethodCall ___currentMethod

  - ### Constructor Detail

    - #### TAsyncClient

          public TAsyncClient(TProtocolFactory protocolFactory,
                      TAsyncClientManager manager,
                      TNonblockingTransport transport)

    - #### TAsyncClient

          public TAsyncClient(TProtocolFactory protocolFactory,
                      TAsyncClientManager manager,
                      TNonblockingTransport transport,
                      long timeout)

  - ### Method Detail

    - #### getProtocolFactory

          public TProtocolFactory getProtocolFactory()

    - #### getTimeout

          public long getTimeout()

    - #### hasTimeout

          public boolean hasTimeout()

    - #### setTimeout

          public void setTimeout(long timeout)

    - #### hasError

          public boolean hasError()

      Is the client in an error state?
      Returns:

    - #### getError

          public java.lang.Exception getError()

      Get the client's error - returns null if no error
      Returns:

    - #### checkReady

          protected void checkReady()

    - #### onComplete

          protected void onComplete()

      Called by delegate method when finished

    - #### onError

          protected void onError(java.lang.Exception exception)

      Called by delegate method on error